Changeset 566


Ignore:
Timestamp:
Jun 9, 2007 1:04:51 PM (12 years ago)
Author:
andreasw
Message:

added check for GLPK underscored symbol; reran autotools

Location:
trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/Bonmin/configure

    r533 r566  
    38743874  *-cygwin* | *-mingw*)
    38753875     if test "$enable_doscompile" = msvc ; then
    3876        coin_f77_comps="ifort fl32"
     3876       coin_f77_comps="ifort fl32 compile_f2c"
    38773877     else
    38783878       coin_f77_comps="gfortran g77 ifort fl32"
     
    42694269            coin_add_fflags='-fpp -nologo -MT'
    42704270            coin_dbg_fflags='-debug'
     4271          ;;
     4272          compile_f2c*)
     4273            coin_opt_fflags='-MT -O2'
     4274            coin_add_fflags='-nologo -wd4996'
     4275            coin_dbg_fflags='-MTd'
    42714276          ;;
    42724277        esac
     
    46144619ac_save_FFLAGS=$FFLAGS
    46154620FFLAGS="$FFLAGS $ac_verb"
    4616 (eval echo $as_me:4616: \"$ac_link\") >&5
     4621(eval echo $as_me:4621: \"$ac_link\") >&5
    46174622ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    46184623echo "$ac_f77_v_output" >&5
     
    46924697ac_save_FFLAGS=$FFLAGS
    46934698FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4694 (eval echo $as_me:4694: \"$ac_link\") >&5
     4699(eval echo $as_me:4699: \"$ac_link\") >&5
    46954700ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    46964701echo "$ac_f77_v_output" >&5
     
    52915296
    52925297
     5298save_FLIBS="$FLIBS"
     5299
    52935300ac_ext=f
    52945301ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    53825389
    53835390
    5384 # This is to correct a missing exclusion in autoconf 2.59
    5385 if test x"$FLIBS" != x; then
    5386   my_flibs=
    5387   for flag in $FLIBS; do
    5388     case $flag in
    5389       -lcrt*.o) ;;
    5390              *) my_flibs="$my_flibs $flag" ;;
    5391     esac
    5392   done
    5393   FLIBS="$my_flibs"
    5394 fi
    5395 
    5396 case $build in
    5397 # The following is a fix to define FLIBS for ifort on Windows
    5398    *-cygwin* | *-mingw*)
    5399      case "$F77" in
    5400        ifort* | */ifort* | IFORT* | */IFORT*)
     5391if test x"$save_FLIBS" != x; then
     5392  FLIBS="$save_FLIBS"
     5393else
     5394  # This is to correct a missing exclusion in autoconf 2.59
     5395  if test x"$FLIBS" != x; then
     5396    my_flibs=
     5397    for flag in $FLIBS; do
     5398      case $flag in
     5399        -lcrt*.o) ;;
     5400               *) my_flibs="$my_flibs $flag" ;;
     5401      esac
     5402    done
     5403    FLIBS="$my_flibs"
     5404  fi
     5405
     5406  case $build in
     5407  # The following is a fix to define FLIBS for ifort on Windows
     5408     *-cygwin* | *-mingw*)
     5409       case "$F77" in
     5410         ifort* | */ifort* | IFORT* | */IFORT*)
    54015411           FLIBS="-link libifcorert.lib $LIBS /NODEFAULTLIB:libc.lib";;
    5402      esac;;
    5403    *-hp-*)
    5404        FLIBS="$FLIBS -lm";;
    5405    *-ibm-*)
    5406        FLIBS=`echo $FLIBS | sed 's/-lc)/-lc/g'` ;;
    5407    *-linux-*)
    5408      case "$F77" in
    5409        pgf77* | */pgf77* | pgf90* | */pgf90*)
     5412         compile_f2c*)
     5413           FLIBS=`$F77 -FLIBS` ;;
     5414       esac;;
     5415     *-hp-*)
     5416         FLIBS="$FLIBS -lm";;
     5417     *-ibm-*)
     5418         FLIBS=`echo $FLIBS | sed 's/-lc)/-lc/g'` ;;
     5419     *-linux-*)
     5420       case "$F77" in
     5421         pgf77* | */pgf77* | pgf90* | */pgf90*)
    54105422# ask linker to go through the archives multiple times
    54115423# (the Fortran compiler seems to do that automatically...
    5412          FLIBS="-Wl,--start-group $FLIBS -Wl,--end-group" ;;
    5413      esac
    5414 esac
     5424           FLIBS="-Wl,--start-group $FLIBS -Wl,--end-group" ;;
     5425       esac
     5426  esac
     5427  ac_cv_f77_libs="$FLIBS"
     5428fi
     5429
     5430ac_ext=c
     5431ac_cpp='$CPP $CPPFLAGS'
     5432ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     5433ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     5434ac_compiler_gnu=$ac_cv_c_compiler_gnu
     5435
    54155436
    54165437
     
    71767197*-*-irix6*)
    71777198  # Find out which ABI we are using.
    7178   echo '#line 7178 "configure"' > conftest.$ac_ext
     7199  echo '#line 7199 "configure"' > conftest.$ac_ext
    71797200  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71807201  (eval $ac_compile) 2>&5
     
    91569177   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91579178   -e 's:$: $lt_compiler_flag:'`
    9158    (eval echo "\"\$as_me:9158: $lt_compile\"" >&5)
     9179   (eval echo "\"\$as_me:9179: $lt_compile\"" >&5)
    91599180   (eval "$lt_compile" 2>conftest.err)
    91609181   ac_status=$?
    91619182   cat conftest.err >&5
    9162    echo "$as_me:9162: \$? = $ac_status" >&5
     9183   echo "$as_me:9183: \$? = $ac_status" >&5
    91639184   if (exit $ac_status) && test -s "$ac_outfile"; then
    91649185     # The compiler can only warn and ignore the option if not recognized
     
    94249445   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94259446   -e 's:$: $lt_compiler_flag:'`
    9426    (eval echo "\"\$as_me:9426: $lt_compile\"" >&5)
     9447   (eval echo "\"\$as_me:9447: $lt_compile\"" >&5)
    94279448   (eval "$lt_compile" 2>conftest.err)
    94289449   ac_status=$?
    94299450   cat conftest.err >&5
    9430    echo "$as_me:9430: \$? = $ac_status" >&5
     9451   echo "$as_me:9451: \$? = $ac_status" >&5
    94319452   if (exit $ac_status) && test -s "$ac_outfile"; then
    94329453     # The compiler can only warn and ignore the option if not recognized
     
    95289549   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95299550   -e 's:$: $lt_compiler_flag:'`
    9530    (eval echo "\"\$as_me:9530: $lt_compile\"" >&5)
     9551   (eval echo "\"\$as_me:9551: $lt_compile\"" >&5)
    95319552   (eval "$lt_compile" 2>out/conftest.err)
    95329553   ac_status=$?
    95339554   cat out/conftest.err >&5
    9534    echo "$as_me:9534: \$? = $ac_status" >&5
     9555   echo "$as_me:9555: \$? = $ac_status" >&5
    95359556   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95369557   then
     
    1194511966  lt_status=$lt_dlunknown
    1194611967  cat > conftest.$ac_ext <<EOF
    11947 #line 11947 "configure"
     11968#line 11968 "configure"
    1194811969#include "confdefs.h"
    1194911970
     
    1204512066  lt_status=$lt_dlunknown
    1204612067  cat > conftest.$ac_ext <<EOF
    12047 #line 12047 "configure"
     12068#line 12068 "configure"
    1204812069#include "confdefs.h"
    1204912070
     
    1266912690
    1267012691
    12671 ac_ext=f
    12672 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    12673 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    12674 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     12692ac_ext=c
     12693ac_cpp='$CPP $CPPFLAGS'
     12694ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     12695ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     12696ac_compiler_gnu=$ac_cv_c_compiler_gnu
    1267512697
    1267612698CC="$lt_save_CC"
     
    1440414426   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1440514427   -e 's:$: $lt_compiler_flag:'`
    14406    (eval echo "\"\$as_me:14406: $lt_compile\"" >&5)
     14428   (eval echo "\"\$as_me:14428: $lt_compile\"" >&5)
    1440714429   (eval "$lt_compile" 2>conftest.err)
    1440814430   ac_status=$?
    1440914431   cat conftest.err >&5
    14410    echo "$as_me:14410: \$? = $ac_status" >&5
     14432   echo "$as_me:14432: \$? = $ac_status" >&5
    1441114433   if (exit $ac_status) && test -s "$ac_outfile"; then
    1441214434     # The compiler can only warn and ignore the option if not recognized
     
    1450814530   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1450914531   -e 's:$: $lt_compiler_flag:'`
    14510    (eval echo "\"\$as_me:14510: $lt_compile\"" >&5)
     14532   (eval echo "\"\$as_me:14532: $lt_compile\"" >&5)
    1451114533   (eval "$lt_compile" 2>out/conftest.err)
    1451214534   ac_status=$?
    1451314535   cat out/conftest.err >&5
    14514    echo "$as_me:14514: \$? = $ac_status" >&5
     14536   echo "$as_me:14536: \$? = $ac_status" >&5
    1451514537   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1451614538   then
     
    1569515717
    1569615718
    15697 ac_ext=f
    15698 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    15699 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    15700 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     15719ac_ext=c
     15720ac_cpp='$CPP $CPPFLAGS'
     15721ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     15722ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     15723ac_compiler_gnu=$ac_cv_c_compiler_gnu
    1570115724
    1570215725CC=$lt_save_CC
     
    1607716100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1607816101   -e 's:$: $lt_compiler_flag:'`
    16079    (eval echo "\"\$as_me:16079: $lt_compile\"" >&5)
     16102   (eval echo "\"\$as_me:16102: $lt_compile\"" >&5)
    1608016103   (eval "$lt_compile" 2>conftest.err)
    1608116104   ac_status=$?
    1608216105   cat conftest.err >&5
    16083    echo "$as_me:16083: \$? = $ac_status" >&5
     16106   echo "$as_me:16106: \$? = $ac_status" >&5
    1608416107   if (exit $ac_status) && test -s "$ac_outfile"; then
    1608516108     # The compiler can only warn and ignore the option if not recognized
     
    1618116204   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1618216205   -e 's:$: $lt_compiler_flag:'`
    16183    (eval echo "\"\$as_me:16183: $lt_compile\"" >&5)
     16206   (eval echo "\"\$as_me:16206: $lt_compile\"" >&5)
    1618416207   (eval "$lt_compile" 2>out/conftest.err)
    1618516208   ac_status=$?
    1618616209   cat out/conftest.err >&5
    16187    echo "$as_me:16187: \$? = $ac_status" >&5
     16210   echo "$as_me:16210: \$? = $ac_status" >&5
    1618816211   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1618916212   then
     
    1828118304
    1828218305
    18283 ac_ext=f
    18284 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    18285 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    18286 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     18306ac_ext=c
     18307ac_cpp='$CPP $CPPFLAGS'
     18308ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     18309ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     18310ac_compiler_gnu=$ac_cv_c_compiler_gnu
    1828718311
    1828818312CC="$lt_save_CC"
     
    1838718411   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1838818412   -e 's:$: $lt_compiler_flag:'`
    18389    (eval echo "\"\$as_me:18389: $lt_compile\"" >&5)
     18413   (eval echo "\"\$as_me:18413: $lt_compile\"" >&5)
    1839018414   (eval "$lt_compile" 2>conftest.err)
    1839118415   ac_status=$?
    1839218416   cat conftest.err >&5
    18393    echo "$as_me:18393: \$? = $ac_status" >&5
     18417   echo "$as_me:18417: \$? = $ac_status" >&5
    1839418418   if (exit $ac_status) && test -s "$ac_outfile"; then
    1839518419     # The compiler can only warn and ignore the option if not recognized
     
    1865518679   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1865618680   -e 's:$: $lt_compiler_flag:'`
    18657    (eval echo "\"\$as_me:18657: $lt_compile\"" >&5)
     18681   (eval echo "\"\$as_me:18681: $lt_compile\"" >&5)
    1865818682   (eval "$lt_compile" 2>conftest.err)
    1865918683   ac_status=$?
    1866018684   cat conftest.err >&5
    18661    echo "$as_me:18661: \$? = $ac_status" >&5
     18685   echo "$as_me:18685: \$? = $ac_status" >&5
    1866218686   if (exit $ac_status) && test -s "$ac_outfile"; then
    1866318687     # The compiler can only warn and ignore the option if not recognized
     
    1875918783   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1876018784   -e 's:$: $lt_compiler_flag:'`
    18761    (eval echo "\"\$as_me:18761: $lt_compile\"" >&5)
     18785   (eval echo "\"\$as_me:18785: $lt_compile\"" >&5)
    1876218786   (eval "$lt_compile" 2>out/conftest.err)
    1876318787   ac_status=$?
    1876418788   cat out/conftest.err >&5
    18765    echo "$as_me:18765: \$? = $ac_status" >&5
     18789   echo "$as_me:18789: \$? = $ac_status" >&5
    1876618790   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1876718791   then
     
    1921219236       # Determine the default libpath from the value encoded in an empty executable.
    1921319237       cat >conftest.$ac_ext <<_ACEOF
    19214       program main
    19215 
    19216       end
     19238/* confdefs.h.  */
     19239_ACEOF
     19240cat confdefs.h >>conftest.$ac_ext
     19241cat >>conftest.$ac_ext <<_ACEOF
     19242/* end confdefs.h.  */
     19243
     19244#ifdef F77_DUMMY_MAIN
     19245
     19246#  ifdef __cplusplus
     19247     extern "C"
     19248#  endif
     19249   int F77_DUMMY_MAIN() { return 1; }
     19250
     19251#endif
     19252int
     19253main ()
     19254{
     19255
     19256  ;
     19257  return 0;
     19258}
    1921719259_ACEOF
    1921819260rm -f conftest.$ac_objext conftest$ac_exeext
     
    1922519267  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    1922619268  (exit $ac_status); } &&
    19227          { ac_try='test -z "$ac_f77_werror_flag"
     19269         { ac_try='test -z "$ac_c_werror_flag"
    1922819270                         || test ! -s conftest.err'
    1922919271  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     
    1926319305         # Determine the default libpath from the value encoded in an empty executable.
    1926419306         cat >conftest.$ac_ext <<_ACEOF
    19265       program main
    19266 
    19267       end
     19307/* confdefs.h.  */
     19308_ACEOF
     19309cat confdefs.h >>conftest.$ac_ext
     19310cat >>conftest.$ac_ext <<_ACEOF
     19311/* end confdefs.h.  */
     19312
     19313#ifdef F77_DUMMY_MAIN
     19314
     19315#  ifdef __cplusplus
     19316     extern "C"
     19317#  endif
     19318   int F77_DUMMY_MAIN() { return 1; }
     19319
     19320#endif
     19321int
     19322main ()
     19323{
     19324
     19325  ;
     19326  return 0;
     19327}
    1926819328_ACEOF
    1926919329rm -f conftest.$ac_objext conftest$ac_exeext
     
    1927619336  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    1927719337  (exit $ac_status); } &&
    19278          { ac_try='test -z "$ac_f77_werror_flag"
     19338         { ac_try='test -z "$ac_c_werror_flag"
    1927919339                         || test ! -s conftest.err'
    1928019340  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     
    2085920919
    2086020920
    20861 ac_ext=f
    20862 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    20863 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    20864 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     20921ac_ext=c
     20922ac_cpp='$CPP $CPPFLAGS'
     20923ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     20924ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     20925ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2086520926
    2086620927CC="$lt_save_CC"
     
    2133921400
    2134021401
    21341 ac_ext=f
    21342 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    21343 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    21344 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21402ac_ext=c
     21403ac_cpp='$CPP $CPPFLAGS'
     21404ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21405ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21406ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2134521407
    2134621408CC="$lt_save_CC"
     
    2147221534            -e 's%lib /OUT:%lib -OUT:%' \
    2147321535            -e "s%cygpath -w%$CYGPATH_W%" \
    21474             -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     21536            -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo | dos2unix\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    2147521537            -e 's/$AR t/lib -nologo -list/' \
    2147621538            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     
    2240022462      conftest$ac_exeext conftest.$ac_ext
    2240122463           done
    22402            ac_ext=f
    22403 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    22404 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    22405 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22464           ac_ext=c
     22465ac_cpp='$CPP $CPPFLAGS'
     22466ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22467ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22468ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2240622469
    2240722470           if test x"$coin_CPX_link" = xyes ; then
     
    2254422607ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2254522608
    22546            for fnm in glp_lpx_simplex ; do
     22609           for fnm in glp_lpx_simplex _glp_lpx_simplex ; do
    2254722610             echo "$as_me:$LINENO: checking whether symbol $fnm is available with GLPK" >&5
    2254822611echo $ECHO_N "checking whether symbol $fnm is available with GLPK... $ECHO_C" >&6
     
    2260622669      conftest$ac_exeext conftest.$ac_ext
    2260722670           done
    22608            ac_ext=f
    22609 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    22610 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    22611 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22671           ac_ext=c
     22672ac_cpp='$CPP $CPPFLAGS'
     22673ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22674ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22675ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2261222676
    2261322677           if test x"$coin_GLPK_link" = xyes ; then
    2261422678             LIBS="$coin_save_LIBS"
    2261522679           else
    22616              { { echo "$as_me:$LINENO: error: Cannot find symbol(s) glp_lpx_simplex with GLPK" >&5
    22617 echo "$as_me: error: Cannot find symbol(s) glp_lpx_simplex with GLPK" >&2;}
     22680             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) glp_lpx_simplex _glp_lpx_simplex with GLPK" >&5
     22681echo "$as_me: error: Cannot find symbol(s) glp_lpx_simplex _glp_lpx_simplex with GLPK" >&2;}
    2261822682   { (exit 1); exit 1; }; }
    2261922683           fi
     
    2290822972      conftest$ac_exeext conftest.$ac_ext
    2290922973           done
    22910            ac_ext=f
    22911 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    22912 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    22913 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22974           ac_ext=c
     22975ac_cpp='$CPP $CPPFLAGS'
     22976ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22977ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22978ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2291422979
    2291522980           if test x"$coin_MSK_link" = xyes ; then
     
    2311423179      conftest$ac_exeext conftest.$ac_ext
    2311523180           done
    23116            ac_ext=f
    23117 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    23118 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    23119 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23181           ac_ext=c
     23182ac_cpp='$CPP $CPPFLAGS'
     23183ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23184ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23185ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2312023186
    2312123187           if test x"$coin_OSL_link" = xyes ; then
     
    2344123507      conftest$ac_exeext conftest.$ac_ext
    2344223508           done
    23443            ac_ext=f
    23444 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    23445 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    23446 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23509           ac_ext=c
     23510ac_cpp='$CPP $CPPFLAGS'
     23511ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23512ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23513ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2344723514
    2344823515           if test x"$coin_XPR_link" = xyes ; then
     
    2369323760_ACEOF
    2369423761
    23695   ac_ext=f
    23696 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    23697 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    23698 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23762  ac_ext=c
     23763ac_cpp='$CPP $CPPFLAGS'
     23764ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23765ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23766ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2369923767
    2370023768else
     
    2385123919rm -f conftest.err conftest.$ac_objext \
    2385223920      conftest$ac_exeext conftest.$ac_ext
    23853   ac_ext=f
    23854 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    23855 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    23856 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23921  ac_ext=c
     23922ac_cpp='$CPP $CPPFLAGS'
     23923ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23924ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23925ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2385723926
    2385823927  LIBS="$SAVE_LIBS"
  • trunk/Bonmin/configure.ac

    r481 r566  
    8484# Check which third party solvers are available ToDo!
    8585AC_COIN_HAS_USER_LIBRARY([Cplex],[CPX],[cplex.h],[CPXgetstat])
    86 AC_COIN_HAS_USER_LIBRARY([Glpk],[GLPK],[glpk.h],[glp_lpx_simplex])
     86AC_COIN_HAS_USER_LIBRARY([Glpk],[GLPK],[glpk.h],[glp_lpx_simplex _glp_lpx_simplex])
    8787AC_COIN_HAS_USER_LIBRARY([FortMP],[FMP])  #ToDo! is Fortran?
    8888AC_COIN_HAS_USER_LIBRARY([Mosek],[MSK],[mosekdl.h],[MSK_openmosek])
  • trunk/configure

    r533 r566  
    38353835  *-cygwin* | *-mingw*)
    38363836     if test "$enable_doscompile" = msvc ; then
    3837        coin_f77_comps="ifort fl32"
     3837       coin_f77_comps="ifort fl32 compile_f2c"
    38383838     else
    38393839       coin_f77_comps="gfortran g77 ifort fl32"
     
    42304230            coin_add_fflags='-fpp -nologo -MT'
    42314231            coin_dbg_fflags='-debug'
     4232          ;;
     4233          compile_f2c*)
     4234            coin_opt_fflags='-MT -O2'
     4235            coin_add_fflags='-nologo -wd4996'
     4236            coin_dbg_fflags='-MTd'
    42324237          ;;
    42334238        esac
     
    62846289*-*-irix6*)
    62856290  # Find out which ABI we are using.
    6286   echo '#line 6286 "configure"' > conftest.$ac_ext
     6291  echo '#line 6291 "configure"' > conftest.$ac_ext
    62876292  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    62886293  (eval $ac_compile) 2>&5
     
    82488253   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82498254   -e 's:$: $lt_compiler_flag:'`
    8250    (eval echo "\"\$as_me:8250: $lt_compile\"" >&5)
     8255   (eval echo "\"\$as_me:8255: $lt_compile\"" >&5)
    82518256   (eval "$lt_compile" 2>conftest.err)
    82528257   ac_status=$?
    82538258   cat conftest.err >&5
    8254    echo "$as_me:8254: \$? = $ac_status" >&5
     8259   echo "$as_me:8259: \$? = $ac_status" >&5
    82558260   if (exit $ac_status) && test -s "$ac_outfile"; then
    82568261     # The compiler can only warn and ignore the option if not recognized
     
    85168521   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85178522   -e 's:$: $lt_compiler_flag:'`
    8518    (eval echo "\"\$as_me:8518: $lt_compile\"" >&5)
     8523   (eval echo "\"\$as_me:8523: $lt_compile\"" >&5)
    85198524   (eval "$lt_compile" 2>conftest.err)
    85208525   ac_status=$?
    85218526   cat conftest.err >&5
    8522    echo "$as_me:8522: \$? = $ac_status" >&5
     8527   echo "$as_me:8527: \$? = $ac_status" >&5
    85238528   if (exit $ac_status) && test -s "$ac_outfile"; then
    85248529     # The compiler can only warn and ignore the option if not recognized
     
    86208625   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86218626   -e 's:$: $lt_compiler_flag:'`
    8622    (eval echo "\"\$as_me:8622: $lt_compile\"" >&5)
     8627   (eval echo "\"\$as_me:8627: $lt_compile\"" >&5)
    86238628   (eval "$lt_compile" 2>out/conftest.err)
    86248629   ac_status=$?
    86258630   cat out/conftest.err >&5
    8626    echo "$as_me:8626: \$? = $ac_status" >&5
     8631   echo "$as_me:8631: \$? = $ac_status" >&5
    86278632   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86288633   then
     
    1096510970  lt_status=$lt_dlunknown
    1096610971  cat > conftest.$ac_ext <<EOF
    10967 #line 10967 "configure"
     10972#line 10972 "configure"
    1096810973#include "confdefs.h"
    1096910974
     
    1106511070  lt_status=$lt_dlunknown
    1106611071  cat > conftest.$ac_ext <<EOF
    11067 #line 11067 "configure"
     11072#line 11072 "configure"
    1106811073#include "confdefs.h"
    1106911074
     
    1340913414   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1341013415   -e 's:$: $lt_compiler_flag:'`
    13411    (eval echo "\"\$as_me:13411: $lt_compile\"" >&5)
     13416   (eval echo "\"\$as_me:13416: $lt_compile\"" >&5)
    1341213417   (eval "$lt_compile" 2>conftest.err)
    1341313418   ac_status=$?
    1341413419   cat conftest.err >&5
    13415    echo "$as_me:13415: \$? = $ac_status" >&5
     13420   echo "$as_me:13420: \$? = $ac_status" >&5
    1341613421   if (exit $ac_status) && test -s "$ac_outfile"; then
    1341713422     # The compiler can only warn and ignore the option if not recognized
     
    1351313518   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1351413519   -e 's:$: $lt_compiler_flag:'`
    13515    (eval echo "\"\$as_me:13515: $lt_compile\"" >&5)
     13520   (eval echo "\"\$as_me:13520: $lt_compile\"" >&5)
    1351613521   (eval "$lt_compile" 2>out/conftest.err)
    1351713522   ac_status=$?
    1351813523   cat out/conftest.err >&5
    13519    echo "$as_me:13519: \$? = $ac_status" >&5
     13524   echo "$as_me:13524: \$? = $ac_status" >&5
    1352013525   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1352113526   then
     
    1508315088   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1508415089   -e 's:$: $lt_compiler_flag:'`
    15085    (eval echo "\"\$as_me:15085: $lt_compile\"" >&5)
     15090   (eval echo "\"\$as_me:15090: $lt_compile\"" >&5)
    1508615091   (eval "$lt_compile" 2>conftest.err)
    1508715092   ac_status=$?
    1508815093   cat conftest.err >&5
    15089    echo "$as_me:15089: \$? = $ac_status" >&5
     15094   echo "$as_me:15094: \$? = $ac_status" >&5
    1509015095   if (exit $ac_status) && test -s "$ac_outfile"; then
    1509115096     # The compiler can only warn and ignore the option if not recognized
     
    1518715192   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1518815193   -e 's:$: $lt_compiler_flag:'`
    15189    (eval echo "\"\$as_me:15189: $lt_compile\"" >&5)
     15194   (eval echo "\"\$as_me:15194: $lt_compile\"" >&5)
    1519015195   (eval "$lt_compile" 2>out/conftest.err)
    1519115196   ac_status=$?
    1519215197   cat out/conftest.err >&5
    15193    echo "$as_me:15193: \$? = $ac_status" >&5
     15198   echo "$as_me:15198: \$? = $ac_status" >&5
    1519415199   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1519515200   then
     
    1739417399   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739517400   -e 's:$: $lt_compiler_flag:'`
    17396    (eval echo "\"\$as_me:17396: $lt_compile\"" >&5)
     17401   (eval echo "\"\$as_me:17401: $lt_compile\"" >&5)
    1739717402   (eval "$lt_compile" 2>conftest.err)
    1739817403   ac_status=$?
    1739917404   cat conftest.err >&5
    17400    echo "$as_me:17400: \$? = $ac_status" >&5
     17405   echo "$as_me:17405: \$? = $ac_status" >&5
    1740117406   if (exit $ac_status) && test -s "$ac_outfile"; then
    1740217407     # The compiler can only warn and ignore the option if not recognized
     
    1766217667   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1766317668   -e 's:$: $lt_compiler_flag:'`
    17664    (eval echo "\"\$as_me:17664: $lt_compile\"" >&5)
     17669   (eval echo "\"\$as_me:17669: $lt_compile\"" >&5)
    1766517670   (eval "$lt_compile" 2>conftest.err)
    1766617671   ac_status=$?
    1766717672   cat conftest.err >&5
    17668    echo "$as_me:17668: \$? = $ac_status" >&5
     17673   echo "$as_me:17673: \$? = $ac_status" >&5
    1766917674   if (exit $ac_status) && test -s "$ac_outfile"; then
    1767017675     # The compiler can only warn and ignore the option if not recognized
     
    1776617771   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1776717772   -e 's:$: $lt_compiler_flag:'`
    17768    (eval echo "\"\$as_me:17768: $lt_compile\"" >&5)
     17773   (eval echo "\"\$as_me:17773: $lt_compile\"" >&5)
    1776917774   (eval "$lt_compile" 2>out/conftest.err)
    1777017775   ac_status=$?
    1777117776   cat out/conftest.err >&5
    17772    echo "$as_me:17772: \$? = $ac_status" >&5
     17777   echo "$as_me:17777: \$? = $ac_status" >&5
    1777317778   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1777417779   then
     
    2050120506            -e 's%lib /OUT:%lib -OUT:%' \
    2050220507            -e "s%cygpath -w%$CYGPATH_W%" \
    20503             -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     20508            -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo | dos2unix\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    2050420509            -e 's/$AR t/lib -nologo -list/' \
    2050520510            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
Note: See TracChangeset for help on using the changeset viewer.